using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Domain;

namespace Service
{
    public interface ISysUserManager : IGenericManager<SysUsers>
    {
        IList<SysUsers> LoadAllByPage(out long total, int page, int rows, string order, string sort, int type, int? groupId, int? hotelID);

        SysUsers Get(string account);

        SysUsers Get(string account, string password);

        int GetCount();

        void Update(SysUsers entity, string password);

        /// <summary>
        /// 判断用户是否拥有指定的权限
        /// </summary>
        /// <param name="account">用户帐号</param>
        /// <param name="authorityId">权限ID</param>
        /// <returns></returns>
        bool HasAuthority(string account, int authorityId);
    }
}
